Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2009-AVI-119

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 26 mars 2009
No CERTA-2009-AVI-119

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Multiples vulnérabilités dans Java


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2009-AVI-119

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2009-AVI-119
Titre Multiples vulnérabilités dans Java
Date de la première version 26 mars 2009
Date de la dernière version -
Source(s) Bulletins de sécurité 254569, 254570, 254571, 254608, 254609, 254610 et 254611 du 24 mars 2009
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Déni de service à distance ;
  • exécution de code arbitraire à distance ;
  • contournement de la politique de sécurité.

2 Systèmes affectés

  • JDK et JRE 6 avec une mise à jour antérieure à la version 13 ;
  • JDK et JRE 5.0 avec une mise à jour antérieure à la version 18 ;
  • SDK et JRE versions antérieures à 1.4.2_20 ;
  • SDK et JRE versions antérieures à 1.3.1_25.

3 Résumé

De multiples vulnérabilités du composant et de l'applet Java permettent à un individu distant de contourner la politique de sécurité, d'exécuter du code arbitraire et de réaliser un déni de service.

4 Description

De multiples vulnérabilités existent dans le composant et l'applet Java :
  • la première est présente dans l'implémentation de l'initialisation de connexions LDAP et permet à un individu distant de réaliser un déni de service ;
  • la deuxième est présente dans le client LDAP du JRE et permet à un individu distant d'exécuter du code arbitraire présent sur un serveur LDAP spécialement paramétré ;
  • la troisième concerne les composants Java utilisant l'application unpack200, elle permet à un individu distant, par le biais de plusieurs débordements, d'élever ses privilèges au moyen d'une application Java spécialement construite ;
  • la quatrième est un débordement de mémoire lors de la manipulation d'images, elle permet à un individu distant d'élever ses privilèges par le biais d'un fichier image spécialement construit ;
  • la cinquième concerne la gestion du stockage temporaire de certains fichiers (font files), elle permet à un individu distant de réaliser un déni de service en remplissant l'espace de stockage ;
  • la sixième concerne le service JAX-WS, présent dans l'implémentation du serveur HTTP, elle permet à un individu distant de réaliser un déni de service ;
  • la septième concerne la machine virtuelle du JRE, elle permet à un individu distant de contourner la politique de sécurité et d'exécuter du code arbitraire ;
  • la dernière concerne le composant Java, de multiples vulnérabilités de ce composant permettent à un individu distant de contourner la politique de sécurité, d'exécuter du code arbitraire et de réaliser un déni de service.

5 Solution

Se référer aux bulletins de sécurité de l'éditeur pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

26 mars 2009
version initiale.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-04-26